<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="group__group__syslib__macros__assert" kind="group">
    <compoundname>group_syslib_macros_assert</compoundname>
    <title>Assert Classes and Levels</title>
      <sectiondef kind="define">
      <memberdef id="group__group__syslib__macros__assert_1gab952e7b99fe6e86693d00675b13f1407" kind="define" prot="public" static="no">
        <name>CY_ASSERT_CLASS_1</name>
        <initializer>(1U)</initializer>
        <briefdescription>
<para>Class 1 - The highest class, safety-critical functions which rely on parameters that could be changed between different PSoC devices. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_syslib.h" bodystart="549" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_syslib.h" line="549" />
      </memberdef>
      <memberdef id="group__group__syslib__macros__assert_1gaa584b31896bf8ba4e1786ef7e1eb238c" kind="define" prot="public" static="no">
        <name>CY_ASSERT_CLASS_2</name>
        <initializer>(2U)</initializer>
        <briefdescription>
<para>Class 2 - Functions that have fixed limits such as counter periods (16-bits/32-bits etc.) </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_syslib.h" bodystart="552" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_syslib.h" line="552" />
      </memberdef>
      <memberdef id="group__group__syslib__macros__assert_1ga519c4c299506f8a54e3a99e58a435f0a" kind="define" prot="public" static="no">
        <name>CY_ASSERT_CLASS_3</name>
        <initializer>(3U)</initializer>
        <briefdescription>
<para>Class 3 - Functions that accept enums as constant parameters. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_syslib.h" bodystart="555" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_syslib.h" line="555" />
      </memberdef>
      <memberdef id="group__group__syslib__macros__assert_1gaac6d3358f192068b723bc4bb50a06967" kind="define" prot="public" static="no">
        <name>CY_ASSERT_LEVEL</name>
        <initializer><ref kindref="member" refid="group__group__syslib__macros__assert_1ga519c4c299506f8a54e3a99e58a435f0a">CY_ASSERT_CLASS_3</ref></initializer>
        <briefdescription>
<para>The user-definable assert level from compiler command-line argument (similarly to DEBUG / NDEBUG) </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_syslib.h" bodystart="559" column="13" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_syslib.h" line="559" />
      </memberdef>
      <memberdef id="group__group__syslib__macros__assert_1gabb4e5c6e694fe418794cbd8f93301532" kind="define" prot="public" static="no">
        <name>CY_ASSERT_L1</name>
        <param><defname>x</defname></param>
        <initializer>CY_ASSERT(x)</initializer>
        <briefdescription>
<para>Assert Level 1. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_syslib.h" bodystart="571" column="13" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_syslib.h" line="571" />
      </memberdef>
      <memberdef id="group__group__syslib__macros__assert_1gae6c8c534d15ba72d74dc23b384a28bf0" kind="define" prot="public" static="no">
        <name>CY_ASSERT_L2</name>
        <param><defname>x</defname></param>
        <initializer>CY_ASSERT(x)</initializer>
        <briefdescription>
<para>Assert Level 2. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_syslib.h" bodystart="572" column="13" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_syslib.h" line="572" />
      </memberdef>
      <memberdef id="group__group__syslib__macros__assert_1gaea99c6824b32df70dbeb97d87d5410a1" kind="define" prot="public" static="no">
        <name>CY_ASSERT_L3</name>
        <param><defname>x</defname></param>
        <initializer>CY_ASSERT(x)</initializer>
        <briefdescription>
<para>Assert Level 3. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_syslib.h" bodystart="573" column="13" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_syslib.h" line="573" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Defines for the Assert Classes and Levels. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
  </compounddef>
</doxygen>